List stock awards
curl --request GET \
--url https://api.stockly.com/v1/rewards \
--header 'x-api-key: <api-key>'import requests
url = "https://api.stockly.com/v1/rewards"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.stockly.com/v1/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rewards": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"appId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"idempotencyKey": "<string>",
"amountUsd": 123,
"assetSymbol": "<string>",
"source": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"executedAt": "2023-11-07T05:31:56Z",
"failureReason": "<string>"
}
]
}{
"error": {
"code": "conflict",
"message": "idempotencyKey was already used with a different payload",
"details": {
"idempotencyKey": "order-1001-reward"
},
"requestId": "f0e1d2c3-4b5a-6789-0abc-def012345678"
}
}Stock awards
List stock awards
Lists stock awards (newest first). Optionally filter by user or status.
GET
/
v1
/
rewards
List stock awards
Authorizations
Your Stockly API key. Identifies your app; you never pass an app id.
Query Parameters
Only awards for this user.
Only awards in this state.
Available options:
recorded, executing, executed, failed Required range:
x <= 200Response
List of stock awards
Show child attributes
Show child attributes
⌘I